I’m pretty new to Rhino, as a software developer i’m in a project where i have to have rhino integrated in my c# application. I’m making a simple example where i just create a sphere. I want to add the gumball to manipulate the object (essentially the position). Everything works well, the sphere is created and the gumball is added to the object, but the problem is i can’t interact with the gumball, It seems that gumball does not receive events from the mouse. Below is the code for adding the gumball
GumballObject gumball = new GumballObject();
gumball.SetFromBoundingBox(obj.Geometry.GetBoundingBox(true));
var displayConduit = new Rhino.UI.Gumball.GumballDisplayConduit();
var appearance = new Rhino.UI.Gumball.GumballAppearanceSettings();
// turn off some of the scale appearance settings to have a slightly different gumball
appearance.ScaleXEnabled = true;
appearance.ScaleYEnabled = false;
appearance.ScaleZEnabled = false;
displayConduit.SetBaseGumball(gumball, appearance);
displayConduit.Enabled = true;
// Atualizar a visualização no Rhino
RhinoDoc.ActiveDoc.Views.Redraw();
what i’m doing wrong